/*
 *  $Id: s.StandaloneTestCase.cpp 1.3 02/06/11 16:15:40+02:00 gbevin@willow.uwyn.office $
 *
 *  This file is part of QtUnit.
 *
 *  QtUnit is a unit testing framework for c++ which compiles into a shared
 *  library. It uses the Qt 3.x library for platform independence.
 *
 *  Copyright (C) 2002, G.Bevin
 * 
 *  gbevin@uwyn.com
 *  http://www.uwyn.com/projects/qtunit
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "StandaloneTestCase.h"

using namespace com_uwyn_qtunit;

StandaloneTestCase::StandaloneTestCase()
{
	addTest(StandaloneTestCase, testSetUp);
	addTest(StandaloneTestCase, testSuccess);
	addTest(StandaloneTestCase, testEquals);
	addTest(StandaloneTestCase, testEqualsDelta);
	addTest(StandaloneTestCase, testBadCast);
}

void StandaloneTestCase::setUp()
{
	mValue1 = 2.0;
	mValue2 = 3.0;
}

void StandaloneTestCase::testSuccess()
{
	qassertTrue(1 == 1);
}

void StandaloneTestCase::testBadCast()
{
	QObject test1;
	QObject& test2(test1);
	QString& test3(dynamic_cast<QString&>(test2));
	Q_UNUSED(test3);
	qassertTrue(false);
}

void StandaloneTestCase::testEquals()
{
	long l1(12);
	long l2(12);
	
	qassertEquals(12, 12);
	qassertEquals(12L, 12L);
	qassertEquals(l1, l2);
	
	qassertTrue(12L == 12L);
	qassertEqualsDelta(12.0, 11.99, 0.5);
	qassertEquals(l1, 13L);
}

void StandaloneTestCase::testEqualsDelta()
{
	int value_int = 1;
	double value_double = 1.0;

	qassertTrue(value_int == 1);
	qassertEqualsDelta(value_double, 1.1, 0.05);
}

void StandaloneTestCase::testSetUp()
{
	double result = mValue1 + mValue2;
	qassertTrue(result == 5.0);
	qassertTrue(result == 6.0);
}
